Bug 147180 - [patch] Fix manpage of acpi(4): No need to disable the whole APIC subsystem for CPU idle states C3 and deeper
Summary: [patch] Fix manpage of acpi(4): No need to disable the whole APIC subsystem f...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-29 11:30 UTC by Tobias Rehbein
Modified: 2010-06-28 09:20 UTC (History)
1 user (show)

See Also:


Attachments
share_man_man4_acpi.4.diff (475 bytes, patch)
2010-05-29 11:30 UTC, Tobias Rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Rehbein 2010-05-29 11:30:08 UTC
	
        Since http://svn.freebsd.org/changeset/base/191720 it's no longer needed to disable the whole APIC
        subsystem to use CPU idle states C3 and deeper, it's sufficient to disable the LAPIC timer. I cc'ed
        mav@ who implemented this feature to veto this PR if my statement is invalid.

        Also I'm quite sure the LAPIC conflicts are not relevant for CPU idle state C2 but only for C3 and
        deeper.
Comment 1 dfilter service freebsd_committer 2010-06-02 09:43:28 UTC
Author: mav
Date: Wed Jun  2 08:43:18 2010
New Revision: 208729
URL: http://svn.freebsd.org/changeset/base/208729

Log:
  Recommend disabling LAPIC timer instead whole APIC for fixing C3 state.
  
  PR:		docs/147180
  Submitted by:	Tobias Rehbein

Modified:
  head/share/man/man4/acpi.4

Modified: head/share/man/man4/acpi.4
==============================================================================
--- head/share/man/man4/acpi.4	Wed Jun  2 07:47:29 2010	(r208728)
+++ head/share/man/man4/acpi.4	Wed Jun  2 08:43:18 2010	(r208729)
@@ -25,7 +25,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd March 9, 2010
+.Dd June 2, 2010
 .Dt ACPI 4
 .Os
 .Sh NAME
@@ -599,10 +599,8 @@ The
 .Nm
 CPU idle power management drive conflicts with the local APIC (LAPIC)
 timer.
-Disable APIC mode with
-.Va hint.apic.0.disabled
+Disable the local APIC timer with
+.Va hint.apic.0.clock=0
 or do not use the
-.Li C2
-and
 .Li C3
-states if APIC mode is enabled.
+and deeper states if the local APIC timer is enabled.
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 2 Tobias Rehbein 2010-06-25 21:59:21 UTC
Hi.

Thanks for commiting this stuff. It's the first patch I created which has been
commited to the FreeBSD base system ;)

Nonetheless I wanted to query the state of this PR. The attached patch has been
committed but the PR is still open and no one has taken responsibility for this
PR. I thought it should have been closed or at least set to state 'patched'.

Regards Tobias
Comment 3 dfilter service freebsd_committer 2010-06-28 09:11:06 UTC
Author: mav
Date: Mon Jun 28 08:10:55 2010
New Revision: 209566
URL: http://svn.freebsd.org/changeset/base/209566

Log:
  MFC r208729:
  Recommend disabling LAPIC timer instead whole APIC for fixing C3 state.
  
  PR:             docs/147180
  Submitted by:   Tobias Rehbein

Modified:
  stable/8/share/man/man4/acpi.4
Directory Properties:
  stable/8/share/man/man4/   (props changed)

Modified: stable/8/share/man/man4/acpi.4
==============================================================================
--- stable/8/share/man/man4/acpi.4	Mon Jun 28 08:09:33 2010	(r209565)
+++ stable/8/share/man/man4/acpi.4	Mon Jun 28 08:10:55 2010	(r209566)
@@ -25,7 +25,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd March 9, 2010
+.Dd June 2, 2010
 .Dt ACPI 4
 .Os
 .Sh NAME
@@ -599,10 +599,8 @@ The
 .Nm
 CPU idle power management drive conflicts with the local APIC (LAPIC)
 timer.
-Disable APIC mode with
-.Va hint.apic.0.disabled
+Disable the local APIC timer with
+.Va hint.apic.0.clock=0
 or do not use the
-.Li C2
-and
 .Li C3
-states if APIC mode is enabled.
+and deeper states if the local APIC timer is enabled.
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 4 Alexander Motin freebsd_committer 2010-06-28 09:11:30 UTC
State Changed
From-To: open->closed

Patch committed to HEAD and merged to 8-STABLE.